Bug Hunting Session
Bug 61878 - Extension updater keeps prompting for version of MyTXTcleaner that was withdrawn
Summary: Extension updater keeps prompting for version of MyTXTcleaner that was withdrawn
Status: RESOLVED NOTOURBUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Extensions (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-05 23:07 UTC by Paul Renault
Modified: 2016-09-19 16:48 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Renault 2013-03-05 23:07:13 UTC
Problem description: 
Extension Updater is green, says update is available - MyTXTcleaner.oxt Version 1.2.0.


Steps to reproduce:
1. From the Extension Update window, click on Install;
2. Downloading progress bar goes to 100%, then Installing progress bar;
3. Message 'No Errors', then "Error while installing extension MyTXTcleaner.oxt. The error message is: Package instance has already been disposed!
The extension will not be installed."
4. Click 'Ok.  Start again at step '0'...

As per Luke's Release Notes at https://dl.dropbox.com/u/14712909/macro/cleaner/ReleaseNotes.txt
"rev 1.2.0:	buggy version, retired"

Yet, Extension Updater keeps prompting me to update...


Current behavior:

Expected behavior:

              
Operating System: Windows XP
Version: 4.0.0.3 release
Comment 1 Joel Madero 2013-04-22 15:12:53 UTC
Rainer - you asked for extensions related stuff. We still need to clarify our position on extensions (I'll be in touch today about this) but for now, here is another one. Thanks!
Comment 2 Thomas Hackert 2013-06-20 16:28:05 UTC
Hello Paul, *,
I tried to find the extension, but seem not able to ... :( Could you provide us with a like to the homepage of this extension, please? Or when the license allows it, attach it to this bug?
TIA
Thomas.
Comment 3 Paul Renault 2013-06-23 15:16:45 UTC
The extension is called 'MyTXTCleaner' - originally an OpenOffice extension.  It's been abandonned/obsoleted - so there's no way that the programmer, Luca Calcinai, will fix it...  See here:
http://lukesblog.it/ebooks/ebook-tools/mytxtcleaner/

The alert is just annoying - it would be nice to have an "stop alerting me about this update" checkbox somewhere.  
(Maybe an 'addons' screen, with "Dis/Enable, Remove, Options", à la Firefox's?)
Comment 4 Joel Madero 2013-06-23 15:26:30 UTC
honestly I'm not sure if the author has abandoned it if we can do anything about it.

I'm requesting addition input - very well could be NOTOURBUG but perhaps not
Comment 5 Thomas Hackert 2013-06-26 06:41:56 UTC
Hello Paul, *,
(In reply to comment #3)
> The extension is called 'MyTXTCleaner' - originally an OpenOffice extension.
> It's been abandonned/obsoleted - so there's no way that the programmer, Luca
> Calcinai, will fix it...  See here:
> http://lukesblog.it/ebooks/ebook-tools/mytxtcleaner/

OK, thanks for the link :) But the extension I downloaded from there, is not upgradable at all under LO Version: 4.1.0.1 Build ID: 1b3956717a60d6ac35b133d7b0a0f5eb55e9155 under Debian Testing AMD64 ... :( I get only

<quote>
Error while installing extension MyTXTcleaner.oxt. The error message is: Cannot detect media-type: file:///tmp/Raf6xP_/AZbwDT_/MyTXTcleaner
The extension will not be installed.
</quote>

there, so I tend to confirm Joel's comment 4 to set it as "NOTOURBUG" ... ;)

> The alert is just annoying - it would be nice to have an "stop alerting me
> about this update" checkbox somewhere.  
> (Maybe an 'addons' screen, with "Dis/Enable, Remove, Options", à la
> Firefox's?)

Do you mean "Tools - Extension Manager"? There is the possibility to disable/remove Extensions ... ;) Or did you have something else in mind? In FF it depends on the add-on, if it searches for updates autmatically or not at all ... ;)

Sorry for the inconvenience
Thomas.
Comment 6 retired 2013-07-03 14:36:17 UTC
NOTOURBUG.

Paul: Feel free to add the extension homepage. If it is listed in the LO extensions it should probably be removed or marked a dead horse.

I highly agree with the footnote that the extension manager needs a clean up and easy remove options for extensions ala Firefox Add-on management though.
Comment 7 Robinson Tryon (qubit) 2015-12-18 10:32:22 UTC Comment hidden (obsolete)
Comment 8 Xisco Faulí 2016-09-19 16:48:00 UTC Comment hidden (obsolete)